package xyz.etztech.mixtape.commands;

import org.bukkit.ChatColor;
import org.bukkit.command.Command;
import org.bukkit.command.CommandExecutor;
import org.bukkit.command.CommandSender;
import org.bukkit.configuration.file.FileConfiguration;
import xyz.etztech.mixtape.Mixtape;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;

public class CommandMixtape implements CommandExecutor {

    Mixtape plugin;

    public CommandMixtape(Mixtape plugin) {
        this.plugin = plugin;
    }

    @Override
    public boolean onCommand(CommandSender sender, Command command, String base, String[] args) {
        if (args.length == 0) {
            sender.sendMessage(ChatColor.GOLD + "===== Mixtape =====");
            sender.sendMessage(ChatColor.YELLOW + "/mixtape reload");
        } else if (sender.hasPermission("alias.admin")) {
            if ("reload".equalsIgnoreCase(args[0])) {
                plugin.reloadConfig();
                sender.sendMessage(ChatColor.GREEN + "Mixtape Reloaded.");
            }
        }
        return true;
    }


}
